<?php
namespace PHPSTORM_META {

   /**
    * PhpStorm Meta file, to provide autocomplete information for PhpStorm
    * Generated on 2017-05-18.
    *
    * @author Barry vd. Heuvel <barryvdh@gmail.com>
    * @see https://github.com/barryvdh/laravel-ide-helper
    */
    $STATIC_METHOD_TYPES = [
        new \Illuminate\Contracts\Container\Container => [
            '' == '@',
            'events' instanceof \Illuminate\Events\Dispatcher,
            'router' instanceof \DPS\Illuminate\Routing\Router,
            'url' instanceof \DPS\Illuminate\Routing\UrlGenerator,
            'redirect' instanceof \Illuminate\Routing\Redirector,
            'Psr\Http\Message\ResponseInterface' instanceof \Zend\Diactoros\Response,
            'Illuminate\Contracts\Routing\ResponseFactory' instanceof \DPS\Illuminate\Routing\ResponseFactory,
            'Illuminate\Contracts\Http\Kernel' instanceof \App\Http\Kernel,
            'Illuminate\Contracts\Console\Kernel' instanceof \App\Console\Kernel,
            'Illuminate\Contracts\Debug\ExceptionHandler' instanceof \App\Exceptions\Handler,
            'rollbar' instanceof \Rollbar\RollbarLogger,
            'auth' instanceof \Illuminate\Auth\AuthManager,
            'auth.driver' instanceof \Illuminate\Auth\SessionGuard,
            'Illuminate\Contracts\Auth\Access\Gate' instanceof \Illuminate\Auth\Access\Gate,
            'cookie' instanceof \Illuminate\Cookie\CookieJar,
            'db.factory' instanceof \Illuminate\Database\Connectors\ConnectionFactory,
            'db' instanceof \Illuminate\Database\DatabaseManager,
            'db.connection' instanceof \Illuminate\Database\SqlServerConnection,
            'Illuminate\Contracts\Queue\EntityResolver' instanceof \Illuminate\Database\Eloquent\QueueEntityResolver,
            'encrypter' instanceof \Illuminate\Encryption\Encrypter,
            'files' instanceof \Illuminate\Filesystem\Filesystem,
            'filesystem' instanceof \Illuminate\Filesystem\FilesystemManager,
            'filesystem.disk' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'filesystem.cloud' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'Illuminate\Notifications\ChannelManager' instanceof \Illuminate\Notifications\ChannelManager,
            'session' instanceof \Illuminate\Session\SessionManager,
            'session.store' instanceof \Illuminate\Session\Store,
            'Illuminate\Session\Middleware\StartSession' instanceof \Illuminate\Session\Middleware\StartSession,
            'view' instanceof \Illuminate\View\Factory,
            'view.finder' instanceof \Illuminate\View\FileViewFinder,
            'view.engine.resolver' instanceof \Illuminate\View\Engines\EngineResolver,
            'log' instanceof \Illuminate\Log\Writer,
            'image' instanceof \Intervention\Image\ImageManager,
            'media.factory' instanceof \DPS\DaVinci\Media\Factory,
            'media' instanceof \DPS\DaVinci\Media,
            'command.davinci.upgrade' instanceof \DPS\DaVinci\Console\Commands\UpgradeCommand,
            'guardian.hasher' instanceof \Cartalyst\Sentry\Hashing\NativeHasher,
            'guardian.user' instanceof \DPS\Guardian\Users\Provider,
            'guardian.group' instanceof \DPS\Guardian\Groups\Provider,
            'guardian.throttle' instanceof \DPS\Guardian\Throttling\Provider,
            'guardian.permission' instanceof \DPS\Guardian\Permissions\Provider,
            'guardian.session' instanceof \DPS\Guardian\Sessions\Session,
            'guardian.cookie' instanceof \DPS\Guardian\Cookies\Cookie,
            'guardian' instanceof \DPS\Guardian\Guardian,
            'changes' instanceof \DPS\Changes\Changes,
            'summoner' instanceof \DPS\Summoner\Summoner,
            'Supervisor\Supervisor' instanceof \Supervisor\Supervisor,
            'blade.compiler' instanceof \Illuminate\View\Compilers\BladeCompiler,
            'algolia.factory' instanceof \Vinkla\Algolia\AlgoliaFactory,
            'algolia' instanceof \Vinkla\Algolia\AlgoliaManager,
            'algolia.connection' instanceof \AlgoliaSearch\Client,
            'intercom' instanceof \DPS\Intercom\Intercom,
            'command.intercom.push' instanceof \DPS\Intercom\Commands\Push,
            'DPS\Intercom\Intercom' instanceof \DPS\Intercom\Intercom,
            'csp' instanceof \DPS\Csp\CspBuilder,
            'command.laracasts.seed' instanceof \Laracasts\Generators\Commands\SeedMakeCommand,
            'command.laracasts.migrate' instanceof \Laracasts\Generators\Commands\MigrationMakeCommand,
            'command.laracasts.migrate.pivot' instanceof \Laracasts\Generators\Commands\PivotMigrationMakeCommand,
            'debugbar' instanceof \Barryvdh\Debugbar\LaravelDebugbar,
            'command.debugbar.clear' instanceof \Barryvdh\Debugbar\Console\ClearCommand,
            'DPS\Matryoshka\BladeDirective' instanceof \DPS\Matryoshka\BladeDirective,
            'Fedeisas\LaravelMailCssInliner\CssInlinerPlugin' instanceof \Fedeisas\LaravelMailCssInliner\CssInlinerPlugin,
            'api' instanceof \DPS\Api\Api,
            'htmlmin.js' instanceof \GrahamCampbell\HTMLMin\Minifiers\JsMinifier,
            'htmlmin.css' instanceof \GrahamCampbell\HTMLMin\Minifiers\CssMinifier,
            'htmlmin.html' instanceof \GrahamCampbell\HTMLMin\Minifiers\HtmlMinifier,
            'htmlmin.blade' instanceof \GrahamCampbell\HTMLMin\Minifiers\BladeMinifier,
            'htmlmin.compiler' instanceof \GrahamCampbell\HTMLMin\Compilers\MinifyCompiler,
            'htmlmin' instanceof \GrahamCampbell\HTMLMin\HTMLMin,
            'DPS\AwsWorker\Wrappers\WorkerInterface' instanceof \DPS\AwsWorker\Wrappers\Laravel53Worker,
            'talking-aged-care-categories' instanceof \Illuminate\Support\Collection,
            'information-structure' instanceof \App\Models\Guides\Structure,
            'homecare-structure' instanceof \App\Models\Homecare\Structure,
            'information-related-types' instanceof \Illuminate\Support\Collection,
            'information-main-categories' instanceof \Illuminate\Support\Collection,
            'home-care-categories' instanceof \Illuminate\Database\Eloquent\Collection,
            'location' instanceof \App\Repositories\MemberLocationRepository,
            'command.adapter.generator' instanceof \DPS\Adapter\Commands\GenerateCommand,
            'command.adapter.perf' instanceof \DPS\Adapter\Commands\PerfCommand,
            'command.adapter.migrate' instanceof \DPS\Adapter\Commands\MigrateCommand,
            'snappy.pdf' instanceof \Barryvdh\Snappy\IlluminateSnappyPdf,
            'snappy.pdf.wrapper' instanceof \Barryvdh\Snappy\PdfWrapper,
            'snappy.image' instanceof \Barryvdh\Snappy\IlluminateSnappyImage,
            'snappy.image.wrapper' instanceof \Barryvdh\Snappy\ImageWrapper,
            'Illuminate\Queue\QueueManager' instanceof \Illuminate\Queue\QueueManager,
            'command.ide-helper.generate' instanceof \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand,
            'command.ide-helper.models' instanceof \Barryvdh\LaravelIdeHelper\Console\ModelsCommand,
            'command.ide-helper.meta' instanceof \Barryvdh\LaravelIdeHelper\Console\MetaCommand,
            'Illuminate\Broadcasting\BroadcastManager' instanceof \Illuminate\Broadcasting\BroadcastManager,
            'Illuminate\Contracts\Broadcasting\Broadcaster' instanceof \Illuminate\Broadcasting\Broadcasters\PusherBroadcaster,
            'validation.presence' instanceof \Illuminate\Validation\DatabasePresenceVerifier,
            'translation.loader' instanceof \Illuminate\Translation\FileLoader,
            'translator' instanceof \Illuminate\Translation\Translator,
            'cache' instanceof \Illuminate\Cache\CacheManager,
            'cache.store' instanceof \Illuminate\Cache\Repository,
            'memcached.connector' instanceof \Illuminate\Cache\MemcachedConnector,
            'redis' instanceof \Illuminate\Redis\RedisManager,
            'redis.connection' instanceof \Illuminate\Redis\Connections\PredisConnection,
            'Illuminate\Bus\Dispatcher' instanceof \Illuminate\Bus\Dispatcher,
            'command.cache.clear' instanceof \Illuminate\Cache\Console\ClearCommand,
            'command.cache.forget' instanceof \Illuminate\Cache\Console\ForgetCommand,
            'command.clear-compiled' instanceof \Illuminate\Foundation\Console\ClearCompiledCommand,
            'command.auth.resets.clear' instanceof \Illuminate\Auth\Console\ClearResetsCommand,
            'command.config.cache' instanceof \Illuminate\Foundation\Console\ConfigCacheCommand,
            'command.config.clear' instanceof \Illuminate\Foundation\Console\ConfigClearCommand,
            'command.down' instanceof \Illuminate\Foundation\Console\DownCommand,
            'command.environment' instanceof \Illuminate\Foundation\Console\EnvironmentCommand,
            'command.key.generate' instanceof \Illuminate\Foundation\Console\KeyGenerateCommand,
            'command.migrate' instanceof \Illuminate\Database\Console\Migrations\MigrateCommand,
            'command.migrate.install' instanceof \Illuminate\Database\Console\Migrations\InstallCommand,
            'command.migrate.refresh' instanceof \Illuminate\Database\Console\Migrations\RefreshCommand,
            'command.migrate.reset' instanceof \Illuminate\Database\Console\Migrations\ResetCommand,
            'command.migrate.rollback' instanceof \Illuminate\Database\Console\Migrations\RollbackCommand,
            'command.migrate.status' instanceof \Illuminate\Database\Console\Migrations\StatusCommand,
            'command.optimize' instanceof \Illuminate\Foundation\Console\OptimizeCommand,
            'command.queue.failed' instanceof \Illuminate\Queue\Console\ListFailedCommand,
            'command.queue.flush' instanceof \Illuminate\Queue\Console\FlushFailedCommand,
            'command.queue.forget' instanceof \Illuminate\Queue\Console\ForgetFailedCommand,
            'command.queue.listen' instanceof \Illuminate\Queue\Console\ListenCommand,
            'command.queue.restart' instanceof \Illuminate\Queue\Console\RestartCommand,
            'command.queue.retry' instanceof \Illuminate\Queue\Console\RetryCommand,
            'command.queue.work' instanceof \Illuminate\Queue\Console\WorkCommand,
            'command.route.cache' instanceof \Illuminate\Foundation\Console\RouteCacheCommand,
            'command.route.clear' instanceof \Illuminate\Foundation\Console\RouteClearCommand,
            'command.route.list' instanceof \Illuminate\Foundation\Console\RouteListCommand,
            'command.seed' instanceof \Illuminate\Database\Console\Seeds\SeedCommand,
            'Illuminate\Console\Scheduling\ScheduleFinishCommand' instanceof \Illuminate\Console\Scheduling\ScheduleFinishCommand,
            'Illuminate\Console\Scheduling\ScheduleRunCommand' instanceof \Illuminate\Console\Scheduling\ScheduleRunCommand,
            'command.storage.link' instanceof \Illuminate\Foundation\Console\StorageLinkCommand,
            'command.up' instanceof \Illuminate\Foundation\Console\UpCommand,
            'command.view.clear' instanceof \Illuminate\Foundation\Console\ViewClearCommand,
            'command.app.name' instanceof \Illuminate\Foundation\Console\AppNameCommand,
            'command.auth.make' instanceof \Illuminate\Auth\Console\MakeAuthCommand,
            'command.cache.table' instanceof \Illuminate\Cache\Console\CacheTableCommand,
            'command.console.make' instanceof \Illuminate\Foundation\Console\ConsoleMakeCommand,
            'command.controller.make' instanceof \Illuminate\Routing\Console\ControllerMakeCommand,
            'command.event.generate' instanceof \Illuminate\Foundation\Console\EventGenerateCommand,
            'command.event.make' instanceof \Illuminate\Foundation\Console\EventMakeCommand,
            'command.job.make' instanceof \Illuminate\Foundation\Console\JobMakeCommand,
            'command.listener.make' instanceof \Illuminate\Foundation\Console\ListenerMakeCommand,
            'command.mail.make' instanceof \Illuminate\Foundation\Console\MailMakeCommand,
            'command.middleware.make' instanceof \Illuminate\Routing\Console\MiddlewareMakeCommand,
            'command.migrate.make' instanceof \Illuminate\Database\Console\Migrations\MigrateMakeCommand,
            'command.model.make' instanceof \Illuminate\Foundation\Console\ModelMakeCommand,
            'command.notification.make' instanceof \Illuminate\Foundation\Console\NotificationMakeCommand,
            'command.notification.table' instanceof \Illuminate\Notifications\Console\NotificationTableCommand,
            'command.policy.make' instanceof \Illuminate\Foundation\Console\PolicyMakeCommand,
            'command.provider.make' instanceof \Illuminate\Foundation\Console\ProviderMakeCommand,
            'command.queue.failed-table' instanceof \Illuminate\Queue\Console\FailedTableCommand,
            'command.queue.table' instanceof \Illuminate\Queue\Console\TableCommand,
            'command.request.make' instanceof \Illuminate\Foundation\Console\RequestMakeCommand,
            'command.seeder.make' instanceof \Illuminate\Database\Console\Seeds\SeederMakeCommand,
            'command.session.table' instanceof \Illuminate\Session\Console\SessionTableCommand,
            'command.serve' instanceof \Illuminate\Foundation\Console\ServeCommand,
            'command.test.make' instanceof \Illuminate\Foundation\Console\TestMakeCommand,
            'command.vendor.publish' instanceof \Illuminate\Foundation\Console\VendorPublishCommand,
            'migration.repository' instanceof \Illuminate\Database\Migrations\DatabaseMigrationRepository,
            'migrator' instanceof \Illuminate\Database\Migrations\Migrator,
            'migration.creator' instanceof \Illuminate\Database\Migrations\MigrationCreator,
            'composer' instanceof \Illuminate\Support\Composer,
            'hash' instanceof \Illuminate\Hashing\BcryptHasher,
            'swift.transport' instanceof \DPS\Illuminate\Mail\TransportManager,
            'swift.mailer' instanceof \Swift_Mailer,
            'mailer' instanceof \Illuminate\Mail\Mailer,
            'Illuminate\Mail\Markdown' instanceof \Illuminate\Mail\Markdown,
            'Illuminate\Contracts\Pipeline\Hub' instanceof \Illuminate\Pipeline\Hub,
            'queue' instanceof \Illuminate\Queue\QueueManager,
            'queue.connection' instanceof \Illuminate\Queue\SyncQueue,
            'queue.worker' instanceof \Illuminate\Queue\Worker,
            'queue.listener' instanceof \Illuminate\Queue\Listener,
            'queue.failer' instanceof \Illuminate\Queue\Failed\DatabaseFailedJobProvider,
            'commands.dps.queue.test' instanceof \DPS\Illuminate\Queue\Commands\TestCommand,
            'auth.password' instanceof \Illuminate\Auth\Passwords\PasswordBrokerManager,
            'auth.password.broker' instanceof \Illuminate\Auth\Passwords\PasswordBroker,
            'command.tinker' instanceof \Laravel\Tinker\Console\TinkerCommand,
            'excel.identifier' instanceof \Maatwebsite\Excel\Classes\FormatIdentifier,
            'excel.parsers.css' instanceof \Maatwebsite\Excel\Parsers\CssParser,
            'excel.reader' instanceof \Maatwebsite\Excel\Readers\LaravelExcelReader,
            'excel.readers.html' instanceof \Maatwebsite\Excel\Readers\Html,
            'excel.parsers.view' instanceof \Maatwebsite\Excel\Parsers\ViewParser,
            'phpexcel' instanceof \Maatwebsite\Excel\Classes\PHPExcel,
            'excel.writer' instanceof \Maatwebsite\Excel\Writers\LaravelExcelWriter,
            'excel' instanceof \Maatwebsite\Excel\Excel,
            'BackupManager\Filesystems\FilesystemProvider' instanceof \BackupManager\Filesystems\FilesystemProvider,
            'BackupManager\Databases\DatabaseProvider' instanceof \BackupManager\Databases\DatabaseProvider,
            'BackupManager\Compressors\CompressorProvider' instanceof \BackupManager\Compressors\CompressorProvider,
            'BackupManager\ShellProcessing\ShellProcessor' instanceof \BackupManager\ShellProcessing\ShellProcessor,
            'html' instanceof \Collective\Html\HtmlBuilder,
            'form' instanceof \Collective\Html\FormBuilder,
            'Laravel\Socialite\Contracts\Factory' instanceof \Laravel\Socialite\SocialiteManager,
            'aws' instanceof \Aws\Sdk,
            'campaignmonitor' instanceof \Casinelli\CampaignMonitor\CampaignMonitor,
        ],
        \Illuminate\Contracts\Container\Container::make('') => [
            '' == '@',
            'events' instanceof \Illuminate\Events\Dispatcher,
            'router' instanceof \DPS\Illuminate\Routing\Router,
            'url' instanceof \DPS\Illuminate\Routing\UrlGenerator,
            'redirect' instanceof \Illuminate\Routing\Redirector,
            'Psr\Http\Message\ResponseInterface' instanceof \Zend\Diactoros\Response,
            'Illuminate\Contracts\Routing\ResponseFactory' instanceof \DPS\Illuminate\Routing\ResponseFactory,
            'Illuminate\Contracts\Http\Kernel' instanceof \App\Http\Kernel,
            'Illuminate\Contracts\Console\Kernel' instanceof \App\Console\Kernel,
            'Illuminate\Contracts\Debug\ExceptionHandler' instanceof \App\Exceptions\Handler,
            'rollbar' instanceof \Rollbar\RollbarLogger,
            'auth' instanceof \Illuminate\Auth\AuthManager,
            'auth.driver' instanceof \Illuminate\Auth\SessionGuard,
            'Illuminate\Contracts\Auth\Access\Gate' instanceof \Illuminate\Auth\Access\Gate,
            'cookie' instanceof \Illuminate\Cookie\CookieJar,
            'db.factory' instanceof \Illuminate\Database\Connectors\ConnectionFactory,
            'db' instanceof \Illuminate\Database\DatabaseManager,
            'db.connection' instanceof \Illuminate\Database\SqlServerConnection,
            'Illuminate\Contracts\Queue\EntityResolver' instanceof \Illuminate\Database\Eloquent\QueueEntityResolver,
            'encrypter' instanceof \Illuminate\Encryption\Encrypter,
            'files' instanceof \Illuminate\Filesystem\Filesystem,
            'filesystem' instanceof \Illuminate\Filesystem\FilesystemManager,
            'filesystem.disk' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'filesystem.cloud' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'Illuminate\Notifications\ChannelManager' instanceof \Illuminate\Notifications\ChannelManager,
            'session' instanceof \Illuminate\Session\SessionManager,
            'session.store' instanceof \Illuminate\Session\Store,
            'Illuminate\Session\Middleware\StartSession' instanceof \Illuminate\Session\Middleware\StartSession,
            'view' instanceof \Illuminate\View\Factory,
            'view.finder' instanceof \Illuminate\View\FileViewFinder,
            'view.engine.resolver' instanceof \Illuminate\View\Engines\EngineResolver,
            'log' instanceof \Illuminate\Log\Writer,
            'image' instanceof \Intervention\Image\ImageManager,
            'media.factory' instanceof \DPS\DaVinci\Media\Factory,
            'media' instanceof \DPS\DaVinci\Media,
            'command.davinci.upgrade' instanceof \DPS\DaVinci\Console\Commands\UpgradeCommand,
            'guardian.hasher' instanceof \Cartalyst\Sentry\Hashing\NativeHasher,
            'guardian.user' instanceof \DPS\Guardian\Users\Provider,
            'guardian.group' instanceof \DPS\Guardian\Groups\Provider,
            'guardian.throttle' instanceof \DPS\Guardian\Throttling\Provider,
            'guardian.permission' instanceof \DPS\Guardian\Permissions\Provider,
            'guardian.session' instanceof \DPS\Guardian\Sessions\Session,
            'guardian.cookie' instanceof \DPS\Guardian\Cookies\Cookie,
            'guardian' instanceof \DPS\Guardian\Guardian,
            'changes' instanceof \DPS\Changes\Changes,
            'summoner' instanceof \DPS\Summoner\Summoner,
            'Supervisor\Supervisor' instanceof \Supervisor\Supervisor,
            'blade.compiler' instanceof \Illuminate\View\Compilers\BladeCompiler,
            'algolia.factory' instanceof \Vinkla\Algolia\AlgoliaFactory,
            'algolia' instanceof \Vinkla\Algolia\AlgoliaManager,
            'algolia.connection' instanceof \AlgoliaSearch\Client,
            'intercom' instanceof \DPS\Intercom\Intercom,
            'command.intercom.push' instanceof \DPS\Intercom\Commands\Push,
            'DPS\Intercom\Intercom' instanceof \DPS\Intercom\Intercom,
            'csp' instanceof \DPS\Csp\CspBuilder,
            'command.laracasts.seed' instanceof \Laracasts\Generators\Commands\SeedMakeCommand,
            'command.laracasts.migrate' instanceof \Laracasts\Generators\Commands\MigrationMakeCommand,
            'command.laracasts.migrate.pivot' instanceof \Laracasts\Generators\Commands\PivotMigrationMakeCommand,
            'debugbar' instanceof \Barryvdh\Debugbar\LaravelDebugbar,
            'command.debugbar.clear' instanceof \Barryvdh\Debugbar\Console\ClearCommand,
            'DPS\Matryoshka\BladeDirective' instanceof \DPS\Matryoshka\BladeDirective,
            'Fedeisas\LaravelMailCssInliner\CssInlinerPlugin' instanceof \Fedeisas\LaravelMailCssInliner\CssInlinerPlugin,
            'api' instanceof \DPS\Api\Api,
            'htmlmin.js' instanceof \GrahamCampbell\HTMLMin\Minifiers\JsMinifier,
            'htmlmin.css' instanceof \GrahamCampbell\HTMLMin\Minifiers\CssMinifier,
            'htmlmin.html' instanceof \GrahamCampbell\HTMLMin\Minifiers\HtmlMinifier,
            'htmlmin.blade' instanceof \GrahamCampbell\HTMLMin\Minifiers\BladeMinifier,
            'htmlmin.compiler' instanceof \GrahamCampbell\HTMLMin\Compilers\MinifyCompiler,
            'htmlmin' instanceof \GrahamCampbell\HTMLMin\HTMLMin,
            'DPS\AwsWorker\Wrappers\WorkerInterface' instanceof \DPS\AwsWorker\Wrappers\Laravel53Worker,
            'talking-aged-care-categories' instanceof \Illuminate\Support\Collection,
            'information-structure' instanceof \App\Models\Guides\Structure,
            'homecare-structure' instanceof \App\Models\Homecare\Structure,
            'information-related-types' instanceof \Illuminate\Support\Collection,
            'information-main-categories' instanceof \Illuminate\Support\Collection,
            'home-care-categories' instanceof \Illuminate\Database\Eloquent\Collection,
            'location' instanceof \App\Repositories\MemberLocationRepository,
            'command.adapter.generator' instanceof \DPS\Adapter\Commands\GenerateCommand,
            'command.adapter.perf' instanceof \DPS\Adapter\Commands\PerfCommand,
            'command.adapter.migrate' instanceof \DPS\Adapter\Commands\MigrateCommand,
            'snappy.pdf' instanceof \Barryvdh\Snappy\IlluminateSnappyPdf,
            'snappy.pdf.wrapper' instanceof \Barryvdh\Snappy\PdfWrapper,
            'snappy.image' instanceof \Barryvdh\Snappy\IlluminateSnappyImage,
            'snappy.image.wrapper' instanceof \Barryvdh\Snappy\ImageWrapper,
            'Illuminate\Queue\QueueManager' instanceof \Illuminate\Queue\QueueManager,
            'command.ide-helper.generate' instanceof \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand,
            'command.ide-helper.models' instanceof \Barryvdh\LaravelIdeHelper\Console\ModelsCommand,
            'command.ide-helper.meta' instanceof \Barryvdh\LaravelIdeHelper\Console\MetaCommand,
            'Illuminate\Broadcasting\BroadcastManager' instanceof \Illuminate\Broadcasting\BroadcastManager,
            'Illuminate\Contracts\Broadcasting\Broadcaster' instanceof \Illuminate\Broadcasting\Broadcasters\PusherBroadcaster,
            'validation.presence' instanceof \Illuminate\Validation\DatabasePresenceVerifier,
            'translation.loader' instanceof \Illuminate\Translation\FileLoader,
            'translator' instanceof \Illuminate\Translation\Translator,
            'cache' instanceof \Illuminate\Cache\CacheManager,
            'cache.store' instanceof \Illuminate\Cache\Repository,
            'memcached.connector' instanceof \Illuminate\Cache\MemcachedConnector,
            'redis' instanceof \Illuminate\Redis\RedisManager,
            'redis.connection' instanceof \Illuminate\Redis\Connections\PredisConnection,
            'Illuminate\Bus\Dispatcher' instanceof \Illuminate\Bus\Dispatcher,
            'command.cache.clear' instanceof \Illuminate\Cache\Console\ClearCommand,
            'command.cache.forget' instanceof \Illuminate\Cache\Console\ForgetCommand,
            'command.clear-compiled' instanceof \Illuminate\Foundation\Console\ClearCompiledCommand,
            'command.auth.resets.clear' instanceof \Illuminate\Auth\Console\ClearResetsCommand,
            'command.config.cache' instanceof \Illuminate\Foundation\Console\ConfigCacheCommand,
            'command.config.clear' instanceof \Illuminate\Foundation\Console\ConfigClearCommand,
            'command.down' instanceof \Illuminate\Foundation\Console\DownCommand,
            'command.environment' instanceof \Illuminate\Foundation\Console\EnvironmentCommand,
            'command.key.generate' instanceof \Illuminate\Foundation\Console\KeyGenerateCommand,
            'command.migrate' instanceof \Illuminate\Database\Console\Migrations\MigrateCommand,
            'command.migrate.install' instanceof \Illuminate\Database\Console\Migrations\InstallCommand,
            'command.migrate.refresh' instanceof \Illuminate\Database\Console\Migrations\RefreshCommand,
            'command.migrate.reset' instanceof \Illuminate\Database\Console\Migrations\ResetCommand,
            'command.migrate.rollback' instanceof \Illuminate\Database\Console\Migrations\RollbackCommand,
            'command.migrate.status' instanceof \Illuminate\Database\Console\Migrations\StatusCommand,
            'command.optimize' instanceof \Illuminate\Foundation\Console\OptimizeCommand,
            'command.queue.failed' instanceof \Illuminate\Queue\Console\ListFailedCommand,
            'command.queue.flush' instanceof \Illuminate\Queue\Console\FlushFailedCommand,
            'command.queue.forget' instanceof \Illuminate\Queue\Console\ForgetFailedCommand,
            'command.queue.listen' instanceof \Illuminate\Queue\Console\ListenCommand,
            'command.queue.restart' instanceof \Illuminate\Queue\Console\RestartCommand,
            'command.queue.retry' instanceof \Illuminate\Queue\Console\RetryCommand,
            'command.queue.work' instanceof \Illuminate\Queue\Console\WorkCommand,
            'command.route.cache' instanceof \Illuminate\Foundation\Console\RouteCacheCommand,
            'command.route.clear' instanceof \Illuminate\Foundation\Console\RouteClearCommand,
            'command.route.list' instanceof \Illuminate\Foundation\Console\RouteListCommand,
            'command.seed' instanceof \Illuminate\Database\Console\Seeds\SeedCommand,
            'Illuminate\Console\Scheduling\ScheduleFinishCommand' instanceof \Illuminate\Console\Scheduling\ScheduleFinishCommand,
            'Illuminate\Console\Scheduling\ScheduleRunCommand' instanceof \Illuminate\Console\Scheduling\ScheduleRunCommand,
            'command.storage.link' instanceof \Illuminate\Foundation\Console\StorageLinkCommand,
            'command.up' instanceof \Illuminate\Foundation\Console\UpCommand,
            'command.view.clear' instanceof \Illuminate\Foundation\Console\ViewClearCommand,
            'command.app.name' instanceof \Illuminate\Foundation\Console\AppNameCommand,
            'command.auth.make' instanceof \Illuminate\Auth\Console\MakeAuthCommand,
            'command.cache.table' instanceof \Illuminate\Cache\Console\CacheTableCommand,
            'command.console.make' instanceof \Illuminate\Foundation\Console\ConsoleMakeCommand,
            'command.controller.make' instanceof \Illuminate\Routing\Console\ControllerMakeCommand,
            'command.event.generate' instanceof \Illuminate\Foundation\Console\EventGenerateCommand,
            'command.event.make' instanceof \Illuminate\Foundation\Console\EventMakeCommand,
            'command.job.make' instanceof \Illuminate\Foundation\Console\JobMakeCommand,
            'command.listener.make' instanceof \Illuminate\Foundation\Console\ListenerMakeCommand,
            'command.mail.make' instanceof \Illuminate\Foundation\Console\MailMakeCommand,
            'command.middleware.make' instanceof \Illuminate\Routing\Console\MiddlewareMakeCommand,
            'command.migrate.make' instanceof \Illuminate\Database\Console\Migrations\MigrateMakeCommand,
            'command.model.make' instanceof \Illuminate\Foundation\Console\ModelMakeCommand,
            'command.notification.make' instanceof \Illuminate\Foundation\Console\NotificationMakeCommand,
            'command.notification.table' instanceof \Illuminate\Notifications\Console\NotificationTableCommand,
            'command.policy.make' instanceof \Illuminate\Foundation\Console\PolicyMakeCommand,
            'command.provider.make' instanceof \Illuminate\Foundation\Console\ProviderMakeCommand,
            'command.queue.failed-table' instanceof \Illuminate\Queue\Console\FailedTableCommand,
            'command.queue.table' instanceof \Illuminate\Queue\Console\TableCommand,
            'command.request.make' instanceof \Illuminate\Foundation\Console\RequestMakeCommand,
            'command.seeder.make' instanceof \Illuminate\Database\Console\Seeds\SeederMakeCommand,
            'command.session.table' instanceof \Illuminate\Session\Console\SessionTableCommand,
            'command.serve' instanceof \Illuminate\Foundation\Console\ServeCommand,
            'command.test.make' instanceof \Illuminate\Foundation\Console\TestMakeCommand,
            'command.vendor.publish' instanceof \Illuminate\Foundation\Console\VendorPublishCommand,
            'migration.repository' instanceof \Illuminate\Database\Migrations\DatabaseMigrationRepository,
            'migrator' instanceof \Illuminate\Database\Migrations\Migrator,
            'migration.creator' instanceof \Illuminate\Database\Migrations\MigrationCreator,
            'composer' instanceof \Illuminate\Support\Composer,
            'hash' instanceof \Illuminate\Hashing\BcryptHasher,
            'swift.transport' instanceof \DPS\Illuminate\Mail\TransportManager,
            'swift.mailer' instanceof \Swift_Mailer,
            'mailer' instanceof \Illuminate\Mail\Mailer,
            'Illuminate\Mail\Markdown' instanceof \Illuminate\Mail\Markdown,
            'Illuminate\Contracts\Pipeline\Hub' instanceof \Illuminate\Pipeline\Hub,
            'queue' instanceof \Illuminate\Queue\QueueManager,
            'queue.connection' instanceof \Illuminate\Queue\SyncQueue,
            'queue.worker' instanceof \Illuminate\Queue\Worker,
            'queue.listener' instanceof \Illuminate\Queue\Listener,
            'queue.failer' instanceof \Illuminate\Queue\Failed\DatabaseFailedJobProvider,
            'commands.dps.queue.test' instanceof \DPS\Illuminate\Queue\Commands\TestCommand,
            'auth.password' instanceof \Illuminate\Auth\Passwords\PasswordBrokerManager,
            'auth.password.broker' instanceof \Illuminate\Auth\Passwords\PasswordBroker,
            'command.tinker' instanceof \Laravel\Tinker\Console\TinkerCommand,
            'excel.identifier' instanceof \Maatwebsite\Excel\Classes\FormatIdentifier,
            'excel.parsers.css' instanceof \Maatwebsite\Excel\Parsers\CssParser,
            'excel.reader' instanceof \Maatwebsite\Excel\Readers\LaravelExcelReader,
            'excel.readers.html' instanceof \Maatwebsite\Excel\Readers\Html,
            'excel.parsers.view' instanceof \Maatwebsite\Excel\Parsers\ViewParser,
            'phpexcel' instanceof \Maatwebsite\Excel\Classes\PHPExcel,
            'excel.writer' instanceof \Maatwebsite\Excel\Writers\LaravelExcelWriter,
            'excel' instanceof \Maatwebsite\Excel\Excel,
            'BackupManager\Filesystems\FilesystemProvider' instanceof \BackupManager\Filesystems\FilesystemProvider,
            'BackupManager\Databases\DatabaseProvider' instanceof \BackupManager\Databases\DatabaseProvider,
            'BackupManager\Compressors\CompressorProvider' instanceof \BackupManager\Compressors\CompressorProvider,
            'BackupManager\ShellProcessing\ShellProcessor' instanceof \BackupManager\ShellProcessing\ShellProcessor,
            'html' instanceof \Collective\Html\HtmlBuilder,
            'form' instanceof \Collective\Html\FormBuilder,
            'Laravel\Socialite\Contracts\Factory' instanceof \Laravel\Socialite\SocialiteManager,
            'aws' instanceof \Aws\Sdk,
            'campaignmonitor' instanceof \Casinelli\CampaignMonitor\CampaignMonitor,
        ],
        \App::make('') => [
            '' == '@',
            'events' instanceof \Illuminate\Events\Dispatcher,
            'router' instanceof \DPS\Illuminate\Routing\Router,
            'url' instanceof \DPS\Illuminate\Routing\UrlGenerator,
            'redirect' instanceof \Illuminate\Routing\Redirector,
            'Psr\Http\Message\ResponseInterface' instanceof \Zend\Diactoros\Response,
            'Illuminate\Contracts\Routing\ResponseFactory' instanceof \DPS\Illuminate\Routing\ResponseFactory,
            'Illuminate\Contracts\Http\Kernel' instanceof \App\Http\Kernel,
            'Illuminate\Contracts\Console\Kernel' instanceof \App\Console\Kernel,
            'Illuminate\Contracts\Debug\ExceptionHandler' instanceof \App\Exceptions\Handler,
            'rollbar' instanceof \Rollbar\RollbarLogger,
            'auth' instanceof \Illuminate\Auth\AuthManager,
            'auth.driver' instanceof \Illuminate\Auth\SessionGuard,
            'Illuminate\Contracts\Auth\Access\Gate' instanceof \Illuminate\Auth\Access\Gate,
            'cookie' instanceof \Illuminate\Cookie\CookieJar,
            'db.factory' instanceof \Illuminate\Database\Connectors\ConnectionFactory,
            'db' instanceof \Illuminate\Database\DatabaseManager,
            'db.connection' instanceof \Illuminate\Database\SqlServerConnection,
            'Illuminate\Contracts\Queue\EntityResolver' instanceof \Illuminate\Database\Eloquent\QueueEntityResolver,
            'encrypter' instanceof \Illuminate\Encryption\Encrypter,
            'files' instanceof \Illuminate\Filesystem\Filesystem,
            'filesystem' instanceof \Illuminate\Filesystem\FilesystemManager,
            'filesystem.disk' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'filesystem.cloud' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'Illuminate\Notifications\ChannelManager' instanceof \Illuminate\Notifications\ChannelManager,
            'session' instanceof \Illuminate\Session\SessionManager,
            'session.store' instanceof \Illuminate\Session\Store,
            'Illuminate\Session\Middleware\StartSession' instanceof \Illuminate\Session\Middleware\StartSession,
            'view' instanceof \Illuminate\View\Factory,
            'view.finder' instanceof \Illuminate\View\FileViewFinder,
            'view.engine.resolver' instanceof \Illuminate\View\Engines\EngineResolver,
            'log' instanceof \Illuminate\Log\Writer,
            'image' instanceof \Intervention\Image\ImageManager,
            'media.factory' instanceof \DPS\DaVinci\Media\Factory,
            'media' instanceof \DPS\DaVinci\Media,
            'command.davinci.upgrade' instanceof \DPS\DaVinci\Console\Commands\UpgradeCommand,
            'guardian.hasher' instanceof \Cartalyst\Sentry\Hashing\NativeHasher,
            'guardian.user' instanceof \DPS\Guardian\Users\Provider,
            'guardian.group' instanceof \DPS\Guardian\Groups\Provider,
            'guardian.throttle' instanceof \DPS\Guardian\Throttling\Provider,
            'guardian.permission' instanceof \DPS\Guardian\Permissions\Provider,
            'guardian.session' instanceof \DPS\Guardian\Sessions\Session,
            'guardian.cookie' instanceof \DPS\Guardian\Cookies\Cookie,
            'guardian' instanceof \DPS\Guardian\Guardian,
            'changes' instanceof \DPS\Changes\Changes,
            'summoner' instanceof \DPS\Summoner\Summoner,
            'Supervisor\Supervisor' instanceof \Supervisor\Supervisor,
            'blade.compiler' instanceof \Illuminate\View\Compilers\BladeCompiler,
            'algolia.factory' instanceof \Vinkla\Algolia\AlgoliaFactory,
            'algolia' instanceof \Vinkla\Algolia\AlgoliaManager,
            'algolia.connection' instanceof \AlgoliaSearch\Client,
            'intercom' instanceof \DPS\Intercom\Intercom,
            'command.intercom.push' instanceof \DPS\Intercom\Commands\Push,
            'DPS\Intercom\Intercom' instanceof \DPS\Intercom\Intercom,
            'csp' instanceof \DPS\Csp\CspBuilder,
            'command.laracasts.seed' instanceof \Laracasts\Generators\Commands\SeedMakeCommand,
            'command.laracasts.migrate' instanceof \Laracasts\Generators\Commands\MigrationMakeCommand,
            'command.laracasts.migrate.pivot' instanceof \Laracasts\Generators\Commands\PivotMigrationMakeCommand,
            'debugbar' instanceof \Barryvdh\Debugbar\LaravelDebugbar,
            'command.debugbar.clear' instanceof \Barryvdh\Debugbar\Console\ClearCommand,
            'DPS\Matryoshka\BladeDirective' instanceof \DPS\Matryoshka\BladeDirective,
            'Fedeisas\LaravelMailCssInliner\CssInlinerPlugin' instanceof \Fedeisas\LaravelMailCssInliner\CssInlinerPlugin,
            'api' instanceof \DPS\Api\Api,
            'htmlmin.js' instanceof \GrahamCampbell\HTMLMin\Minifiers\JsMinifier,
            'htmlmin.css' instanceof \GrahamCampbell\HTMLMin\Minifiers\CssMinifier,
            'htmlmin.html' instanceof \GrahamCampbell\HTMLMin\Minifiers\HtmlMinifier,
            'htmlmin.blade' instanceof \GrahamCampbell\HTMLMin\Minifiers\BladeMinifier,
            'htmlmin.compiler' instanceof \GrahamCampbell\HTMLMin\Compilers\MinifyCompiler,
            'htmlmin' instanceof \GrahamCampbell\HTMLMin\HTMLMin,
            'DPS\AwsWorker\Wrappers\WorkerInterface' instanceof \DPS\AwsWorker\Wrappers\Laravel53Worker,
            'talking-aged-care-categories' instanceof \Illuminate\Support\Collection,
            'information-structure' instanceof \App\Models\Guides\Structure,
            'homecare-structure' instanceof \App\Models\Homecare\Structure,
            'information-related-types' instanceof \Illuminate\Support\Collection,
            'information-main-categories' instanceof \Illuminate\Support\Collection,
            'home-care-categories' instanceof \Illuminate\Database\Eloquent\Collection,
            'location' instanceof \App\Repositories\MemberLocationRepository,
            'command.adapter.generator' instanceof \DPS\Adapter\Commands\GenerateCommand,
            'command.adapter.perf' instanceof \DPS\Adapter\Commands\PerfCommand,
            'command.adapter.migrate' instanceof \DPS\Adapter\Commands\MigrateCommand,
            'snappy.pdf' instanceof \Barryvdh\Snappy\IlluminateSnappyPdf,
            'snappy.pdf.wrapper' instanceof \Barryvdh\Snappy\PdfWrapper,
            'snappy.image' instanceof \Barryvdh\Snappy\IlluminateSnappyImage,
            'snappy.image.wrapper' instanceof \Barryvdh\Snappy\ImageWrapper,
            'Illuminate\Queue\QueueManager' instanceof \Illuminate\Queue\QueueManager,
            'command.ide-helper.generate' instanceof \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand,
            'command.ide-helper.models' instanceof \Barryvdh\LaravelIdeHelper\Console\ModelsCommand,
            'command.ide-helper.meta' instanceof \Barryvdh\LaravelIdeHelper\Console\MetaCommand,
            'Illuminate\Broadcasting\BroadcastManager' instanceof \Illuminate\Broadcasting\BroadcastManager,
            'Illuminate\Contracts\Broadcasting\Broadcaster' instanceof \Illuminate\Broadcasting\Broadcasters\PusherBroadcaster,
            'validation.presence' instanceof \Illuminate\Validation\DatabasePresenceVerifier,
            'translation.loader' instanceof \Illuminate\Translation\FileLoader,
            'translator' instanceof \Illuminate\Translation\Translator,
            'cache' instanceof \Illuminate\Cache\CacheManager,
            'cache.store' instanceof \Illuminate\Cache\Repository,
            'memcached.connector' instanceof \Illuminate\Cache\MemcachedConnector,
            'redis' instanceof \Illuminate\Redis\RedisManager,
            'redis.connection' instanceof \Illuminate\Redis\Connections\PredisConnection,
            'Illuminate\Bus\Dispatcher' instanceof \Illuminate\Bus\Dispatcher,
            'command.cache.clear' instanceof \Illuminate\Cache\Console\ClearCommand,
            'command.cache.forget' instanceof \Illuminate\Cache\Console\ForgetCommand,
            'command.clear-compiled' instanceof \Illuminate\Foundation\Console\ClearCompiledCommand,
            'command.auth.resets.clear' instanceof \Illuminate\Auth\Console\ClearResetsCommand,
            'command.config.cache' instanceof \Illuminate\Foundation\Console\ConfigCacheCommand,
            'command.config.clear' instanceof \Illuminate\Foundation\Console\ConfigClearCommand,
            'command.down' instanceof \Illuminate\Foundation\Console\DownCommand,
            'command.environment' instanceof \Illuminate\Foundation\Console\EnvironmentCommand,
            'command.key.generate' instanceof \Illuminate\Foundation\Console\KeyGenerateCommand,
            'command.migrate' instanceof \Illuminate\Database\Console\Migrations\MigrateCommand,
            'command.migrate.install' instanceof \Illuminate\Database\Console\Migrations\InstallCommand,
            'command.migrate.refresh' instanceof \Illuminate\Database\Console\Migrations\RefreshCommand,
            'command.migrate.reset' instanceof \Illuminate\Database\Console\Migrations\ResetCommand,
            'command.migrate.rollback' instanceof \Illuminate\Database\Console\Migrations\RollbackCommand,
            'command.migrate.status' instanceof \Illuminate\Database\Console\Migrations\StatusCommand,
            'command.optimize' instanceof \Illuminate\Foundation\Console\OptimizeCommand,
            'command.queue.failed' instanceof \Illuminate\Queue\Console\ListFailedCommand,
            'command.queue.flush' instanceof \Illuminate\Queue\Console\FlushFailedCommand,
            'command.queue.forget' instanceof \Illuminate\Queue\Console\ForgetFailedCommand,
            'command.queue.listen' instanceof \Illuminate\Queue\Console\ListenCommand,
            'command.queue.restart' instanceof \Illuminate\Queue\Console\RestartCommand,
            'command.queue.retry' instanceof \Illuminate\Queue\Console\RetryCommand,
            'command.queue.work' instanceof \Illuminate\Queue\Console\WorkCommand,
            'command.route.cache' instanceof \Illuminate\Foundation\Console\RouteCacheCommand,
            'command.route.clear' instanceof \Illuminate\Foundation\Console\RouteClearCommand,
            'command.route.list' instanceof \Illuminate\Foundation\Console\RouteListCommand,
            'command.seed' instanceof \Illuminate\Database\Console\Seeds\SeedCommand,
            'Illuminate\Console\Scheduling\ScheduleFinishCommand' instanceof \Illuminate\Console\Scheduling\ScheduleFinishCommand,
            'Illuminate\Console\Scheduling\ScheduleRunCommand' instanceof \Illuminate\Console\Scheduling\ScheduleRunCommand,
            'command.storage.link' instanceof \Illuminate\Foundation\Console\StorageLinkCommand,
            'command.up' instanceof \Illuminate\Foundation\Console\UpCommand,
            'command.view.clear' instanceof \Illuminate\Foundation\Console\ViewClearCommand,
            'command.app.name' instanceof \Illuminate\Foundation\Console\AppNameCommand,
            'command.auth.make' instanceof \Illuminate\Auth\Console\MakeAuthCommand,
            'command.cache.table' instanceof \Illuminate\Cache\Console\CacheTableCommand,
            'command.console.make' instanceof \Illuminate\Foundation\Console\ConsoleMakeCommand,
            'command.controller.make' instanceof \Illuminate\Routing\Console\ControllerMakeCommand,
            'command.event.generate' instanceof \Illuminate\Foundation\Console\EventGenerateCommand,
            'command.event.make' instanceof \Illuminate\Foundation\Console\EventMakeCommand,
            'command.job.make' instanceof \Illuminate\Foundation\Console\JobMakeCommand,
            'command.listener.make' instanceof \Illuminate\Foundation\Console\ListenerMakeCommand,
            'command.mail.make' instanceof \Illuminate\Foundation\Console\MailMakeCommand,
            'command.middleware.make' instanceof \Illuminate\Routing\Console\MiddlewareMakeCommand,
            'command.migrate.make' instanceof \Illuminate\Database\Console\Migrations\MigrateMakeCommand,
            'command.model.make' instanceof \Illuminate\Foundation\Console\ModelMakeCommand,
            'command.notification.make' instanceof \Illuminate\Foundation\Console\NotificationMakeCommand,
            'command.notification.table' instanceof \Illuminate\Notifications\Console\NotificationTableCommand,
            'command.policy.make' instanceof \Illuminate\Foundation\Console\PolicyMakeCommand,
            'command.provider.make' instanceof \Illuminate\Foundation\Console\ProviderMakeCommand,
            'command.queue.failed-table' instanceof \Illuminate\Queue\Console\FailedTableCommand,
            'command.queue.table' instanceof \Illuminate\Queue\Console\TableCommand,
            'command.request.make' instanceof \Illuminate\Foundation\Console\RequestMakeCommand,
            'command.seeder.make' instanceof \Illuminate\Database\Console\Seeds\SeederMakeCommand,
            'command.session.table' instanceof \Illuminate\Session\Console\SessionTableCommand,
            'command.serve' instanceof \Illuminate\Foundation\Console\ServeCommand,
            'command.test.make' instanceof \Illuminate\Foundation\Console\TestMakeCommand,
            'command.vendor.publish' instanceof \Illuminate\Foundation\Console\VendorPublishCommand,
            'migration.repository' instanceof \Illuminate\Database\Migrations\DatabaseMigrationRepository,
            'migrator' instanceof \Illuminate\Database\Migrations\Migrator,
            'migration.creator' instanceof \Illuminate\Database\Migrations\MigrationCreator,
            'composer' instanceof \Illuminate\Support\Composer,
            'hash' instanceof \Illuminate\Hashing\BcryptHasher,
            'swift.transport' instanceof \DPS\Illuminate\Mail\TransportManager,
            'swift.mailer' instanceof \Swift_Mailer,
            'mailer' instanceof \Illuminate\Mail\Mailer,
            'Illuminate\Mail\Markdown' instanceof \Illuminate\Mail\Markdown,
            'Illuminate\Contracts\Pipeline\Hub' instanceof \Illuminate\Pipeline\Hub,
            'queue' instanceof \Illuminate\Queue\QueueManager,
            'queue.connection' instanceof \Illuminate\Queue\SyncQueue,
            'queue.worker' instanceof \Illuminate\Queue\Worker,
            'queue.listener' instanceof \Illuminate\Queue\Listener,
            'queue.failer' instanceof \Illuminate\Queue\Failed\DatabaseFailedJobProvider,
            'commands.dps.queue.test' instanceof \DPS\Illuminate\Queue\Commands\TestCommand,
            'auth.password' instanceof \Illuminate\Auth\Passwords\PasswordBrokerManager,
            'auth.password.broker' instanceof \Illuminate\Auth\Passwords\PasswordBroker,
            'command.tinker' instanceof \Laravel\Tinker\Console\TinkerCommand,
            'excel.identifier' instanceof \Maatwebsite\Excel\Classes\FormatIdentifier,
            'excel.parsers.css' instanceof \Maatwebsite\Excel\Parsers\CssParser,
            'excel.reader' instanceof \Maatwebsite\Excel\Readers\LaravelExcelReader,
            'excel.readers.html' instanceof \Maatwebsite\Excel\Readers\Html,
            'excel.parsers.view' instanceof \Maatwebsite\Excel\Parsers\ViewParser,
            'phpexcel' instanceof \Maatwebsite\Excel\Classes\PHPExcel,
            'excel.writer' instanceof \Maatwebsite\Excel\Writers\LaravelExcelWriter,
            'excel' instanceof \Maatwebsite\Excel\Excel,
            'BackupManager\Filesystems\FilesystemProvider' instanceof \BackupManager\Filesystems\FilesystemProvider,
            'BackupManager\Databases\DatabaseProvider' instanceof \BackupManager\Databases\DatabaseProvider,
            'BackupManager\Compressors\CompressorProvider' instanceof \BackupManager\Compressors\CompressorProvider,
            'BackupManager\ShellProcessing\ShellProcessor' instanceof \BackupManager\ShellProcessing\ShellProcessor,
            'html' instanceof \Collective\Html\HtmlBuilder,
            'form' instanceof \Collective\Html\FormBuilder,
            'Laravel\Socialite\Contracts\Factory' instanceof \Laravel\Socialite\SocialiteManager,
            'aws' instanceof \Aws\Sdk,
            'campaignmonitor' instanceof \Casinelli\CampaignMonitor\CampaignMonitor,
        ],
        \app('') => [
            '' == '@',
            'events' instanceof \Illuminate\Events\Dispatcher,
            'router' instanceof \DPS\Illuminate\Routing\Router,
            'url' instanceof \DPS\Illuminate\Routing\UrlGenerator,
            'redirect' instanceof \Illuminate\Routing\Redirector,
            'Psr\Http\Message\ResponseInterface' instanceof \Zend\Diactoros\Response,
            'Illuminate\Contracts\Routing\ResponseFactory' instanceof \DPS\Illuminate\Routing\ResponseFactory,
            'Illuminate\Contracts\Http\Kernel' instanceof \App\Http\Kernel,
            'Illuminate\Contracts\Console\Kernel' instanceof \App\Console\Kernel,
            'Illuminate\Contracts\Debug\ExceptionHandler' instanceof \App\Exceptions\Handler,
            'rollbar' instanceof \Rollbar\RollbarLogger,
            'auth' instanceof \Illuminate\Auth\AuthManager,
            'auth.driver' instanceof \Illuminate\Auth\SessionGuard,
            'Illuminate\Contracts\Auth\Access\Gate' instanceof \Illuminate\Auth\Access\Gate,
            'cookie' instanceof \Illuminate\Cookie\CookieJar,
            'db.factory' instanceof \Illuminate\Database\Connectors\ConnectionFactory,
            'db' instanceof \Illuminate\Database\DatabaseManager,
            'db.connection' instanceof \Illuminate\Database\SqlServerConnection,
            'Illuminate\Contracts\Queue\EntityResolver' instanceof \Illuminate\Database\Eloquent\QueueEntityResolver,
            'encrypter' instanceof \Illuminate\Encryption\Encrypter,
            'files' instanceof \Illuminate\Filesystem\Filesystem,
            'filesystem' instanceof \Illuminate\Filesystem\FilesystemManager,
            'filesystem.disk' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'filesystem.cloud' instanceof \Illuminate\Filesystem\FilesystemAdapter,
            'Illuminate\Notifications\ChannelManager' instanceof \Illuminate\Notifications\ChannelManager,
            'session' instanceof \Illuminate\Session\SessionManager,
            'session.store' instanceof \Illuminate\Session\Store,
            'Illuminate\Session\Middleware\StartSession' instanceof \Illuminate\Session\Middleware\StartSession,
            'view' instanceof \Illuminate\View\Factory,
            'view.finder' instanceof \Illuminate\View\FileViewFinder,
            'view.engine.resolver' instanceof \Illuminate\View\Engines\EngineResolver,
            'log' instanceof \Illuminate\Log\Writer,
            'image' instanceof \Intervention\Image\ImageManager,
            'media.factory' instanceof \DPS\DaVinci\Media\Factory,
            'media' instanceof \DPS\DaVinci\Media,
            'command.davinci.upgrade' instanceof \DPS\DaVinci\Console\Commands\UpgradeCommand,
            'guardian.hasher' instanceof \Cartalyst\Sentry\Hashing\NativeHasher,
            'guardian.user' instanceof \DPS\Guardian\Users\Provider,
            'guardian.group' instanceof \DPS\Guardian\Groups\Provider,
            'guardian.throttle' instanceof \DPS\Guardian\Throttling\Provider,
            'guardian.permission' instanceof \DPS\Guardian\Permissions\Provider,
            'guardian.session' instanceof \DPS\Guardian\Sessions\Session,
            'guardian.cookie' instanceof \DPS\Guardian\Cookies\Cookie,
            'guardian' instanceof \DPS\Guardian\Guardian,
            'changes' instanceof \DPS\Changes\Changes,
            'summoner' instanceof \DPS\Summoner\Summoner,
            'Supervisor\Supervisor' instanceof \Supervisor\Supervisor,
            'blade.compiler' instanceof \Illuminate\View\Compilers\BladeCompiler,
            'algolia.factory' instanceof \Vinkla\Algolia\AlgoliaFactory,
            'algolia' instanceof \Vinkla\Algolia\AlgoliaManager,
            'algolia.connection' instanceof \AlgoliaSearch\Client,
            'intercom' instanceof \DPS\Intercom\Intercom,
            'command.intercom.push' instanceof \DPS\Intercom\Commands\Push,
            'DPS\Intercom\Intercom' instanceof \DPS\Intercom\Intercom,
            'csp' instanceof \DPS\Csp\CspBuilder,
            'command.laracasts.seed' instanceof \Laracasts\Generators\Commands\SeedMakeCommand,
            'command.laracasts.migrate' instanceof \Laracasts\Generators\Commands\MigrationMakeCommand,
            'command.laracasts.migrate.pivot' instanceof \Laracasts\Generators\Commands\PivotMigrationMakeCommand,
            'debugbar' instanceof \Barryvdh\Debugbar\LaravelDebugbar,
            'command.debugbar.clear' instanceof \Barryvdh\Debugbar\Console\ClearCommand,
            'DPS\Matryoshka\BladeDirective' instanceof \DPS\Matryoshka\BladeDirective,
            'Fedeisas\LaravelMailCssInliner\CssInlinerPlugin' instanceof \Fedeisas\LaravelMailCssInliner\CssInlinerPlugin,
            'api' instanceof \DPS\Api\Api,
            'htmlmin.js' instanceof \GrahamCampbell\HTMLMin\Minifiers\JsMinifier,
            'htmlmin.css' instanceof \GrahamCampbell\HTMLMin\Minifiers\CssMinifier,
            'htmlmin.html' instanceof \GrahamCampbell\HTMLMin\Minifiers\HtmlMinifier,
            'htmlmin.blade' instanceof \GrahamCampbell\HTMLMin\Minifiers\BladeMinifier,
            'htmlmin.compiler' instanceof \GrahamCampbell\HTMLMin\Compilers\MinifyCompiler,
            'htmlmin' instanceof \GrahamCampbell\HTMLMin\HTMLMin,
            'DPS\AwsWorker\Wrappers\WorkerInterface' instanceof \DPS\AwsWorker\Wrappers\Laravel53Worker,
            'talking-aged-care-categories' instanceof \Illuminate\Support\Collection,
            'information-structure' instanceof \App\Models\Guides\Structure,
            'homecare-structure' instanceof \App\Models\Homecare\Structure,
            'information-related-types' instanceof \Illuminate\Support\Collection,
            'information-main-categories' instanceof \Illuminate\Support\Collection,
            'home-care-categories' instanceof \Illuminate\Database\Eloquent\Collection,
            'location' instanceof \App\Repositories\MemberLocationRepository,
            'command.adapter.generator' instanceof \DPS\Adapter\Commands\GenerateCommand,
            'command.adapter.perf' instanceof \DPS\Adapter\Commands\PerfCommand,
            'command.adapter.migrate' instanceof \DPS\Adapter\Commands\MigrateCommand,
            'snappy.pdf' instanceof \Barryvdh\Snappy\IlluminateSnappyPdf,
            'snappy.pdf.wrapper' instanceof \Barryvdh\Snappy\PdfWrapper,
            'snappy.image' instanceof \Barryvdh\Snappy\IlluminateSnappyImage,
            'snappy.image.wrapper' instanceof \Barryvdh\Snappy\ImageWrapper,
            'Illuminate\Queue\QueueManager' instanceof \Illuminate\Queue\QueueManager,
            'command.ide-helper.generate' instanceof \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand,
            'command.ide-helper.models' instanceof \Barryvdh\LaravelIdeHelper\Console\ModelsCommand,
            'command.ide-helper.meta' instanceof \Barryvdh\LaravelIdeHelper\Console\MetaCommand,
            'Illuminate\Broadcasting\BroadcastManager' instanceof \Illuminate\Broadcasting\BroadcastManager,
            'Illuminate\Contracts\Broadcasting\Broadcaster' instanceof \Illuminate\Broadcasting\Broadcasters\PusherBroadcaster,
            'validation.presence' instanceof \Illuminate\Validation\DatabasePresenceVerifier,
            'translation.loader' instanceof \Illuminate\Translation\FileLoader,
            'translator' instanceof \Illuminate\Translation\Translator,
            'cache' instanceof \Illuminate\Cache\CacheManager,
            'cache.store' instanceof \Illuminate\Cache\Repository,
            'memcached.connector' instanceof \Illuminate\Cache\MemcachedConnector,
            'redis' instanceof \Illuminate\Redis\RedisManager,
            'redis.connection' instanceof \Illuminate\Redis\Connections\PredisConnection,
            'Illuminate\Bus\Dispatcher' instanceof \Illuminate\Bus\Dispatcher,
            'command.cache.clear' instanceof \Illuminate\Cache\Console\ClearCommand,
            'command.cache.forget' instanceof \Illuminate\Cache\Console\ForgetCommand,
            'command.clear-compiled' instanceof \Illuminate\Foundation\Console\ClearCompiledCommand,
            'command.auth.resets.clear' instanceof \Illuminate\Auth\Console\ClearResetsCommand,
            'command.config.cache' instanceof \Illuminate\Foundation\Console\ConfigCacheCommand,
            'command.config.clear' instanceof \Illuminate\Foundation\Console\ConfigClearCommand,
            'command.down' instanceof \Illuminate\Foundation\Console\DownCommand,
            'command.environment' instanceof \Illuminate\Foundation\Console\EnvironmentCommand,
            'command.key.generate' instanceof \Illuminate\Foundation\Console\KeyGenerateCommand,
            'command.migrate' instanceof \Illuminate\Database\Console\Migrations\MigrateCommand,
            'command.migrate.install' instanceof \Illuminate\Database\Console\Migrations\InstallCommand,
            'command.migrate.refresh' instanceof \Illuminate\Database\Console\Migrations\RefreshCommand,
            'command.migrate.reset' instanceof \Illuminate\Database\Console\Migrations\ResetCommand,
            'command.migrate.rollback' instanceof \Illuminate\Database\Console\Migrations\RollbackCommand,
            'command.migrate.status' instanceof \Illuminate\Database\Console\Migrations\StatusCommand,
            'command.optimize' instanceof \Illuminate\Foundation\Console\OptimizeCommand,
            'command.queue.failed' instanceof \Illuminate\Queue\Console\ListFailedCommand,
            'command.queue.flush' instanceof \Illuminate\Queue\Console\FlushFailedCommand,
            'command.queue.forget' instanceof \Illuminate\Queue\Console\ForgetFailedCommand,
            'command.queue.listen' instanceof \Illuminate\Queue\Console\ListenCommand,
            'command.queue.restart' instanceof \Illuminate\Queue\Console\RestartCommand,
            'command.queue.retry' instanceof \Illuminate\Queue\Console\RetryCommand,
            'command.queue.work' instanceof \Illuminate\Queue\Console\WorkCommand,
            'command.route.cache' instanceof \Illuminate\Foundation\Console\RouteCacheCommand,
            'command.route.clear' instanceof \Illuminate\Foundation\Console\RouteClearCommand,
            'command.route.list' instanceof \Illuminate\Foundation\Console\RouteListCommand,
            'command.seed' instanceof \Illuminate\Database\Console\Seeds\SeedCommand,
            'Illuminate\Console\Scheduling\ScheduleFinishCommand' instanceof \Illuminate\Console\Scheduling\ScheduleFinishCommand,
            'Illuminate\Console\Scheduling\ScheduleRunCommand' instanceof \Illuminate\Console\Scheduling\ScheduleRunCommand,
            'command.storage.link' instanceof \Illuminate\Foundation\Console\StorageLinkCommand,
            'command.up' instanceof \Illuminate\Foundation\Console\UpCommand,
            'command.view.clear' instanceof \Illuminate\Foundation\Console\ViewClearCommand,
            'command.app.name' instanceof \Illuminate\Foundation\Console\AppNameCommand,
            'command.auth.make' instanceof \Illuminate\Auth\Console\MakeAuthCommand,
            'command.cache.table' instanceof \Illuminate\Cache\Console\CacheTableCommand,
            'command.console.make' instanceof \Illuminate\Foundation\Console\ConsoleMakeCommand,
            'command.controller.make' instanceof \Illuminate\Routing\Console\ControllerMakeCommand,
            'command.event.generate' instanceof \Illuminate\Foundation\Console\EventGenerateCommand,
            'command.event.make' instanceof \Illuminate\Foundation\Console\EventMakeCommand,
            'command.job.make' instanceof \Illuminate\Foundation\Console\JobMakeCommand,
            'command.listener.make' instanceof \Illuminate\Foundation\Console\ListenerMakeCommand,
            'command.mail.make' instanceof \Illuminate\Foundation\Console\MailMakeCommand,
            'command.middleware.make' instanceof \Illuminate\Routing\Console\MiddlewareMakeCommand,
            'command.migrate.make' instanceof \Illuminate\Database\Console\Migrations\MigrateMakeCommand,
            'command.model.make' instanceof \Illuminate\Foundation\Console\ModelMakeCommand,
            'command.notification.make' instanceof \Illuminate\Foundation\Console\NotificationMakeCommand,
            'command.notification.table' instanceof \Illuminate\Notifications\Console\NotificationTableCommand,
            'command.policy.make' instanceof \Illuminate\Foundation\Console\PolicyMakeCommand,
            'command.provider.make' instanceof \Illuminate\Foundation\Console\ProviderMakeCommand,
            'command.queue.failed-table' instanceof \Illuminate\Queue\Console\FailedTableCommand,
            'command.queue.table' instanceof \Illuminate\Queue\Console\TableCommand,
            'command.request.make' instanceof \Illuminate\Foundation\Console\RequestMakeCommand,
            'command.seeder.make' instanceof \Illuminate\Database\Console\Seeds\SeederMakeCommand,
            'command.session.table' instanceof \Illuminate\Session\Console\SessionTableCommand,
            'command.serve' instanceof \Illuminate\Foundation\Console\ServeCommand,
            'command.test.make' instanceof \Illuminate\Foundation\Console\TestMakeCommand,
            'command.vendor.publish' instanceof \Illuminate\Foundation\Console\VendorPublishCommand,
            'migration.repository' instanceof \Illuminate\Database\Migrations\DatabaseMigrationRepository,
            'migrator' instanceof \Illuminate\Database\Migrations\Migrator,
            'migration.creator' instanceof \Illuminate\Database\Migrations\MigrationCreator,
            'composer' instanceof \Illuminate\Support\Composer,
            'hash' instanceof \Illuminate\Hashing\BcryptHasher,
            'swift.transport' instanceof \DPS\Illuminate\Mail\TransportManager,
            'swift.mailer' instanceof \Swift_Mailer,
            'mailer' instanceof \Illuminate\Mail\Mailer,
            'Illuminate\Mail\Markdown' instanceof \Illuminate\Mail\Markdown,
            'Illuminate\Contracts\Pipeline\Hub' instanceof \Illuminate\Pipeline\Hub,
            'queue' instanceof \Illuminate\Queue\QueueManager,
            'queue.connection' instanceof \Illuminate\Queue\SyncQueue,
            'queue.worker' instanceof \Illuminate\Queue\Worker,
            'queue.listener' instanceof \Illuminate\Queue\Listener,
            'queue.failer' instanceof \Illuminate\Queue\Failed\DatabaseFailedJobProvider,
            'commands.dps.queue.test' instanceof \DPS\Illuminate\Queue\Commands\TestCommand,
            'auth.password' instanceof \Illuminate\Auth\Passwords\PasswordBrokerManager,
            'auth.password.broker' instanceof \Illuminate\Auth\Passwords\PasswordBroker,
            'command.tinker' instanceof \Laravel\Tinker\Console\TinkerCommand,
            'excel.identifier' instanceof \Maatwebsite\Excel\Classes\FormatIdentifier,
            'excel.parsers.css' instanceof \Maatwebsite\Excel\Parsers\CssParser,
            'excel.reader' instanceof \Maatwebsite\Excel\Readers\LaravelExcelReader,
            'excel.readers.html' instanceof \Maatwebsite\Excel\Readers\Html,
            'excel.parsers.view' instanceof \Maatwebsite\Excel\Parsers\ViewParser,
            'phpexcel' instanceof \Maatwebsite\Excel\Classes\PHPExcel,
            'excel.writer' instanceof \Maatwebsite\Excel\Writers\LaravelExcelWriter,
            'excel' instanceof \Maatwebsite\Excel\Excel,
            'BackupManager\Filesystems\FilesystemProvider' instanceof \BackupManager\Filesystems\FilesystemProvider,
            'BackupManager\Databases\DatabaseProvider' instanceof \BackupManager\Databases\DatabaseProvider,
            'BackupManager\Compressors\CompressorProvider' instanceof \BackupManager\Compressors\CompressorProvider,
            'BackupManager\ShellProcessing\ShellProcessor' instanceof \BackupManager\ShellProcessing\ShellProcessor,
            'html' instanceof \Collective\Html\HtmlBuilder,
            'form' instanceof \Collective\Html\FormBuilder,
            'Laravel\Socialite\Contracts\Factory' instanceof \Laravel\Socialite\SocialiteManager,
            'aws' instanceof \Aws\Sdk,
            'campaignmonitor' instanceof \Casinelli\CampaignMonitor\CampaignMonitor,
        ],
    ];
}
